//
// This file was generated by the Eclipse Implementation of JAXB, v3.0.0 
// See https://eclipse-ee4j.github.io/jaxb-ri 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2023.08.30 at 10:47:28 AM CEST 
//


package se.arbetsformedlingen.wsdl;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SUNGuideLeaf complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SUNGuideLeaf"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="SUNField2" type="{urn:ams.se:Taxonomy}SUNField2" minOccurs="0"/&gt;
 *         &lt;element name="SUNField3List" type="{urn:ams.se:Taxonomy}ArrayOfSUNField3" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SUNGuideLeaf", namespace = "urn:ams.se:Taxonomy", propOrder = {
    "sunField2",
    "sunField3List"
})
public class SUNGuideLeaf {

    @XmlElement(name = "SUNField2")
    protected SUNField2 sunField2;
    @XmlElement(name = "SUNField3List")
    protected ArrayOfSUNField3 sunField3List;

    /**
     * Gets the value of the sunField2 property.
     * 
     * @return
     *     possible object is
     *     {@link SUNField2 }
     *     
     */
    public SUNField2 getSUNField2() {
        return sunField2;
    }

    /**
     * Sets the value of the sunField2 property.
     * 
     * @param value
     *     allowed object is
     *     {@link SUNField2 }
     *     
     */
    public void setSUNField2(SUNField2 value) {
        this.sunField2 = value;
    }

    /**
     * Gets the value of the sunField3List property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfSUNField3 }
     *     
     */
    public ArrayOfSUNField3 getSUNField3List() {
        return sunField3List;
    }

    /**
     * Sets the value of the sunField3List property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfSUNField3 }
     *     
     */
    public void setSUNField3List(ArrayOfSUNField3 value) {
        this.sunField3List = value;
    }

}
